#!/usr/bin/env python
"""
    Copyright (C) 2021  Library of Code sp-us, Department of Engineering

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

import os

blocks = os.listdir("Dovecot/conf.d")
path = os.path.abspath("Dovecot/conf.d")
old_blocks = os.listdir("/etc/nginx/sites-available")

for block in blocks:
  os.symlink("%s/%s" % (path, block), "/etc/dovecot/conf.d/%s" % block)

sieveBlocks = os.listdir("Dovecot/sieve")
path = os.path.abspath("Dovecot/sieve")

for block in sieveBlocks:
  os.symlink("%s/%s" % (path, block), "/etc/dovecot/sieve/%s" % block)

